=== debian/changelog ===
gst-plugins-good1.0 (1.26.0-1ubuntu2.1) plucky-security; urgency=medium

  * SECURITY UPDATE: buffer over-read in isomp4 plugin
    - debian/patches/CVE-2025-47183.patch: use byte reader to parse mvhd
      box in gst/isomp4/qtdemux.c.
    - CVE-2025-47183
  * SECURITY UPDATE: buffer over-read in isomp4 plugin
    - debian/patches/CVE-2025-47219.patch: check if enough bytes are
      available for each stsd entry in gst/isomp4/qtdemux.c.
    - CVE-2025-47219

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 09:42:59 -0400

gst-plugins-good1.0 (1.26.0-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:09 -0500

gst-plugins-good1.0 (1.26.0-1ubuntu1) plucky; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 22:17:50 -0400

gst-plugins-good1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/control: bump GStreamer version dependency
  * d/install: libgstsoup.so is not system version.
  * d/control: update dependency version to 1.25.90
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 10:28:56 +0100

gst-plugins-good1.0 (1.24.12-1) unstable; urgency=medium

  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 08:50:17 +0100

gst-plugins-good1.0 (1.24.11-5) unstable; urgency=medium

  * d: build fixes for hurd-amd64 (Closes: #1072337)

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 20 Jan 2025 09:44:58 +0100

gst-plugins-good1.0 (1.24.11-4) unstable; urgency=medium

  * d/rules: soup only when not hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 17 Jan 2025 17:33:53 +0100

gst-plugins-good1.0 (1.24.11-3) unstable; urgency=medium

  * d/watch: pin on 1.24.x
  * d/rules: disable soup plugins on hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 17 Jan 2025 14:32:21 +0100

gst-plugins-good1.0 (1.24.11-2) unstable; urgency=medium

  * d/rules: disable adaptivedemux2 on hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 09 Jan 2025 16:35:04 +0100

gst-plugins-good1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:14:04 +0100

gst-plugins-good1.0 (1.24.10-1ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:10:29 -0600
