=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
@@ -166,7 +165,6 @@
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
          gstreamer1.0-plugins-base (>= 1.26.0),
-         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup-3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -194,42 +192,3 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
-
-Package: libgstreamer-plugins-good1.0-0
-Architecture: any
-Section: libs
-Priority: optional
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
-          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains shared GStreamer libraries from the "good" set. The API
- is not guaranteed to be stable.
-
-Package: libgstreamer-plugins-good1.0-dev
-Architecture: any
-Section: libdevel
-Priority: optional
-Depends: ${misc:Depends},
-     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
-     libgstreamer1.0-dev
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains development files for GStreamer libraries from the
- "good" set. The API is not guaranteed to be stable.
