=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,6 @@
 
 conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += -Dauto_features=enabled -Ddoc=disabled -Drpicamsrc=disabled
-# opencore-amr is in 'universe' in Ubuntu, so we disable these for now
-conf_flags += -Damrnb=disabled -Damrwbdec=disabled
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 conf_flags += -Doss4=disabled
@@ -95,6 +93,5 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
-	    dh_gstscancodecs
+	dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home
