## gst-plugins-good1.0 1.26.4

=== debian/changelog ===
gst-plugins-good1.0 (1.26.4-1) experimental; urgency=medium

  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 19:59:18 +0200

gst-plugins-good1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 09:16:23 +0200
