=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libxv-dev,
                libx11-xcb-dev,
                libgtk-3-dev (>= 3.15),
-               libtag1-dev (>= 1.5),
+               libtag-dev,
                libwavpack-dev (>= 4.60),
                libpulse-dev (>= 2.0),
                libbz2-dev,
