=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62),
                libgstreamer1.0-dev (>= 1.26.0),
                libgstreamer-plugins-base1.0-dev (>= 1.26.0),
