=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,
