=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
                libv4l-dev [linux-any],
                libgudev-1.0-dev (>= 147) [linux-any],
                nasm (>= 2.13) [any-amd64]
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org
