## gst-plugins-good1.0 1.27.2

=== debian/changelog ===
gst-plugins-good1.0 (1.27.2-1ubuntu1) resolute; urgency=medium

  * Resynchronize on Debian (LP: #2130181). Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat (pinned still at 1.18) See LP#2089260
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles <charles05@canonical.com>  Wed, 29 Oct 2025 16:44:03 -0400

gst-plugins-good1.0 (1.27.2-1) experimental; urgency=medium

  [ Marc Leeman ]
  * d/control: API change, gst deps to 1.27.1
  * d/control: libtag1-dev -> libtag-dev (Closes: #1110940)
  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols

  [ Samuel Thibault ]
  * d/rules: re-enable soup plugin for hurd (Closes: #1111862)

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 11:46:58 +0200

gst-plugins-good1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin to 1.26.x"
  * d/gbp.conf: adjust for experimental
  * New upstream version 1.27.1
  * d/install libgsty4menc.so -> libgsty4m.so
  * d/copyright: remove superfluous-file-pattern gst/y4m/gsty4mencode.[ch]
  * d/control: bump standards-version to 4.7.2
  * d/copyright: remove unused GPL-2+

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 12:25:17 +0200

gst-plugins-good1.0 (1.26.5-1ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 14:10:48 +0100

gst-plugins-good1.0 (1.26.5-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 20:41:05 +0200

gst-plugins-good1.0 (1.26.4-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 20:41:05 +0200

gst-plugins-good1.0 (1.26.3-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles Turner <charles.turner@canonical.com>  Wed, 09 Jul 2025 14:53:05 +0100

gst-plugins-good1.0 (1.26.2-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian (LP: #2112009). Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop

