=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-               gstreamer1.0-plugins-base (>= 1.26.0),
+               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+               gstreamer1.0-plugins-base (>= 1.27.2),
                liborc-0.4-dev (>= 1:0.4.17),
                libcairo2-dev (>= 1.10.0),
                libcaca-dev,
@@ -42,8 +44,6 @@
                libmp3lame-dev,
                libmpg123-dev (>= 1.13),
                libtwolame-dev (>= 0.3.10),
-               libopencore-amrnb-dev,
-               libopencore-amrwb-dev,
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
@@ -70,7 +70,7 @@
 Architecture: any
 Multi-Arch: same
 Section: oldlibs
-Depends: gstreamer1.0-plugins-good (>= 1.26.0), ${misc:Depends}
+Depends: gstreamer1.0-plugins-good (>= 1.27.2), ${misc:Depends}
 Description: GStreamer plugin for PulseAudio (transitional package)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -163,7 +163,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
-         gstreamer1.0-plugins-base (>= 1.26.0),
+         gstreamer1.0-plugins-base (>= 1.27.2),
+         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup-3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -191,3 +192,42 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
+
+Package: libgstreamer-plugins-good1.0-0
+Architecture: any
+Section: libs
+Priority: optional
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
+          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains shared GStreamer libraries from the "good" set. The API
+ is not guaranteed to be stable.
+
+Package: libgstreamer-plugins-good1.0-dev
+Architecture: any
+Section: libdevel
+Priority: optional
+Depends: ${misc:Depends},
+     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
+     libgstreamer1.0-dev
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains development files for GStreamer libraries from the
+ "good" set. The API is not guaranteed to be stable.
