=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,8 @@
 
 conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += -Dauto_features=enabled -Ddoc=disabled -Drpicamsrc=disabled
+# opencore-amr is in 'universe' in Ubuntu, so we disable these for now
+conf_flags += -Damrnb=disabled -Damrwbdec=disabled
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 conf_flags += -Doss4=disabled
@@ -57,10 +59,8 @@
 conf_flags += -Dqt-egl=disabled
 endif
 
-# soup is not available on non-Linux, this plugin is compiled against
-# the system version
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
-conf_flags+= -Dadaptivedemux2=disabled -Dsoup=disabled
+conf_flags+= -Dadaptivedemux2=disabled
 endif
 
 %:
@@ -93,5 +93,6 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	dh_gstscancodecs
+	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
+	    dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home
